> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.selectionmode.md).

# SelectionMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the selection behavior of a [TreeView](/api/wisej.web/lists-and-grids/treeview.md), a [ListBox](/api/wisej.web/lists-and-grids/listbox.md) or a [ListView](/api/wisej.web/lists-and-grids/listview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum SelectionMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum SelectionMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                                                              |
| ----------------- | -------------------------------------------------------------------------------------------------------- |
| **MultiExtended** | Multiple items can be selected, and the user can use the SHIFT, CTRL, and arrow keys to make selections. |
| **MultiSimple**   | Multiple items can be selected.                                                                          |
| **None**          | No items can be selected.                                                                                |
| **One**           | Only one item can be selected.                                                                           |

## Used By

| Name                                                                                                                                          | Description                                                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| [ListBox.SelectionMode](/api/wisej.web/lists-and-grids/listbox.md#selectionmode)                                                              | Returns or sets the method in which items are selected in the [ListBox](/api/wisej.web/lists-and-grids/listbox.md).                          |
| [ListView.SelectionMode](/api/wisej.web/lists-and-grids/listview.md#selectionmode)                                                            | Returns or sets the current selection mode determining how items are selected in the [ListView](/api/wisej.web/lists-and-grids/listview.md). |
| [TreeView.SelectionMode](/api/wisej.web/lists-and-grids/treeview.md#selectionmode)                                                            | Returns or sets the method in which items are selected in the [TreeView](/api/wisej.web/lists-and-grids/treeview.md).                        |
| [ListBoxExtensions.SelectionMode](/api/wisej.web.markup/extensions/wisej.web.markup.listboxextensions.md#selectionmode-listbox-selectionmode) | Sets the SelectionMode property of the specified [ListBox](/api/wisej.web/lists-and-grids/listbox.md).                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.selectionmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
